#wish-rsvp {
    background: rgba(0,0,0, 0.5);
    border: 0.5rem solid var(--background);
    border-top-left-radius: 20rem;
    border-top-right-radius: 20rem;
    margin: 1rem;
    padding: 6rem 1rem 2rem 1rem;

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    
    font-family: var(--font-body);
    color: var(--text-on-dark);
}

#wish-rsvp h1 {
    font-family: var(--font-heading);
    font-size: 3rem;
    font-weight: 700;
    text-shadow: var(--text-shadow-deep);
    margin-bottom: 1rem;
}

#wish-rsvp p {
    margin-bottom: 1rem;
}

.content-wish-rsvp {
    width: 100%;
}

#wishForm {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

#wishForm .form-group {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#wishForm .form-group label {
    align-self: flex-start;
    font-family: var(--font-body);
    margin-bottom: 0.2rem;
}

#wishForm .form-group label {
    align-self: flex-start;
    color: var(--text-on-dark);
    margin-bottom: 0.1rem;
}

#wishForm input,
#wishForm textarea,
#wishForm select {
    padding: 0.5rem;
    background: transparent;
    border: 1px solid var(--text-on-dark);
    border-radius: 0.5rem;
    font-size: 1rem;
    
    width: 100%;
    font-family: var(--font-body);
    color: var(--text-on-dark);
}

#wishForm option {
    background-color: var(--background);
    color: var(--text-on-dark);
}

.radio-group {
    width: 100%;
    display: flex;
    gap: 1rem;
}

#wishForm textarea {
    height: 6rem;
}

#wishForm button {
    border: none;
    padding: 0.5rem;
    border-radius: 0.5rem;
    font-family: var(--font-body);
    font-weight: 400;
    font-style: normal;
    background-color: var(--primary);
    color: var(--text-on-dark);
    font-size: 1rem;
    transition: background 0.5s ease, color 0.5s ease;
}

#wishForm button:hover {
    background: var(--background);
    cursor: pointer;
}

input::placeholder,
textarea::placeholder {
    color: rgba(255,255,255,0.6);
    font-style: italic;
    font-size: 0.8rem;
}

.content-comment {
    width: 100%;
}

#messagesWrapper,
#pagination {
    display: none;
}

.content-messages {
    display: none;
    margin: 1rem 0;
    color: var(--text-on-dark);
    border-radius: 0.5rem;
    border: 1px solid var(--text-on-dark);
    padding: 0 1rem 1rem 1rem;
}

#messages {
    margin-top: 1rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.comment {
    width: 100%;
    padding: 0.5rem 0;
}

.comment p,
.comment strong,
.comment span {
    font-family: var(--font-body);
    text-shadow: none !important;
    text-align: left !important;
}

#pagination {
    text-align: center;
    display: flex;
    justify-content: center;
}

#pagination button {
    border: none;
    border-radius: 0.5rem;
    font-family: var(--font-body);
    background-color: var(--primary);
    color: var(--text-on-dark);
    font-size: 1rem;
    padding: 0.5rem;
    margin: 0 0.1rem;
    transition: background-color 0.5s ease, color 0.5s ease;
}

#pagination button:hover {
    background-color: var(--background);
    cursor: pointer;
}